Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 763477 - media-libs/libbdplus: EAPI 7 request
Summary: media-libs/libbdplus: EAPI 7 request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI5Removal 766791
  Show dependency tree
 
Reported: 2021-01-04 02:17 UTC by David Michael
Modified: 2021-02-01 13:30 UTC (History)
3 users (show)

See Also:
Package list:
media-libs/libbdplus-0.1.2-r1
Runtime testing required: ---
nattka: sanity-check+


Attachments
fix.patch (0001-media-libs-libbdplus-EAPI-7.patch,3.31 KB, patch)
2021-01-04 02:18 UTC, David Michael
no flags Details | Diff
fix.patch (0001-media-libs-libbdplus-EAPI-7.patch,3.62 KB, patch)
2021-01-05 16:41 UTC, David Michael
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Michael 2021-01-04 02:17:09 UTC
Please update this package to EAPI 7 to fix issues around cross-compiling with multilib dependencies.
Comment 1 David Michael 2021-01-04 02:18:35 UTC
Created attachment 680974 [details, diff]
fix.patch
Comment 2 Ionen Wolkens gentoo-dev 2021-01-04 19:19:01 UTC
This would be a good occasion to drop static-libs and use explicit --disable-static instead here.

I can't see any reason to keep it, libbluray don't even link with it (dlopen() at runtime).
Comment 3 Sam James archtester gentoo-dev Security 2021-01-04 19:20:59 UTC
(In reply to Ionen Wolkens from comment #2)
> This would be a good occasion to drop static-libs and use explicit
> --disable-static instead here.
> 
> I can't see any reason to keep it, libbluray don't even link with it
> (dlopen() at runtime).

Yes please. Taking the opportunity to drop static, cleanup inherits and so on is always a good idea.
Comment 4 David Michael 2021-01-05 16:41:19 UTC
Created attachment 681325 [details, diff]
fix.patch
Comment 5 Larry the Git Cow gentoo-dev 2021-01-23 23:43:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d74b59dde38530a4071abf8342d2e2db5801c637

commit d74b59dde38530a4071abf8342d2e2db5801c637
Author:     David Michael <fedora.dm0@gmail.com>
AuthorDate: 2021-01-04 02:18:16 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-23 23:43:18 +0000

    media-libs/libbdplus: EAPI-7 bump
    
    Closes: https://bugs.gentoo.org/567196
    Closes: https://bugs.gentoo.org/763477
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: David Michael <fedora.dm0@gmail.com>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/libbdplus/libbdplus-0.1.2-r1.ebuild | 46 ++++++++++++++++++++++++++
 media-libs/libbdplus/libbdplus-9999.ebuild     | 29 +++++++++++-----
 2 files changed, 66 insertions(+), 9 deletions(-)
Comment 6 Andreas Sturmlechner gentoo-dev 2021-01-23 23:45:22 UTC
Re-opening for stabilisation, let's give it a few days.
Comment 7 Rolf Eike Beer archtester 2021-01-29 21:23:59 UTC
sparc stable
Comment 8 Sam James archtester gentoo-dev Security 2021-01-30 10:04:44 UTC
ppc64 done
Comment 9 Sam James archtester gentoo-dev Security 2021-01-30 14:30:05 UTC
amd64 done
Comment 10 Sam James archtester gentoo-dev Security 2021-01-30 14:30:47 UTC
x86 done
Comment 11 Sam James archtester gentoo-dev Security 2021-02-01 13:30:54 UTC
ppc done

all arches done